Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entries.job
Class JobEntryJobRunner

    java.lang.Object
      org.pentaho.di.job.entries.job.JobEntryJobRunner

All Implemented Interfaces:
  Runnable

    public class JobEntryJobRunner

extends Object
implements Runnable

Since:
  6-apr-2005
Author:
  Matt

Constructor Summary
`JobEntryJobRunner(Job job, org.pentaho.di.core.Result result, int entryNr)`

Method Summary
`int` | `getEntryNr()`
`Job` | `getJob()`
`org.pentaho.di.core.logging.LogWriter` | `getLog()`
`org.pentaho.di.core.Result` | `getResult()`
`boolean` | `isFinished()`
`void` | `run()`
`void` | `setEntryNr(int entryNr)`
`void` | `setJob(Job job)`
`void` | `setLog(org.pentaho.di.core.logging.LogWriter log)`
`void` | `setResult(org.pentaho.di.core.Result result)`
`void` | `waitUntilFinished()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobEntryJobRunner

    public JobEntryJobRunner(Job job,
                             org.pentaho.di.core.Result result,
                             int entryNr)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### setResult

    public void setResult(org.pentaho.di.core.Result result)

  Parameters:
    `result` - The result to set.

### getResult

    public org.pentaho.di.core.Result getResult()

  Returns:
    Returns the result.

### getLog

    public org.pentaho.di.core.logging.LogWriter getLog()

  Returns:
    Returns the log.

### setLog

    public void setLog(org.pentaho.di.core.logging.LogWriter log)

  Parameters:
    `log` - The log to set.

### getJob

    public Job getJob()

  Returns:
    Returns the job.

### setJob

    public void setJob(Job job)

  Parameters:
    `job` - The job to set.

### getEntryNr

    public int getEntryNr()

  Returns:
    Returns the entryNr.

### setEntryNr

    public void setEntryNr(int entryNr)

  Parameters:
    `entryNr` - The entryNr to set.

### isFinished

    public boolean isFinished()

  Returns:
    Returns the finished.

### waitUntilFinished

    public void waitUntilFinished()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD